/**
* @file
* dashboard JS functions
*/
jQuery(document).ready(function($){

    jQuery('#content_link_top').click(function() {
      if (jQuery('#links_top').is(':visible')) {
        jQuery('#links_top').hide();
      }
      else {
        jQuery('#links_top').show();
      }
    });

    jQuery('#content_link_bottom').click(function() {
      if (jQuery('#links_bottom').is(':visible')) {
        jQuery('#links_bottom').hide();
      }
      else {
        jQuery('#links_bottom').show();
      }
    });


    jQuery('#attri_type').change(function() {
      var type = jQuery('#edit-attribute-type').val();

      if('content_status' == type) {
        jQuery.ajax({
          type: 'POST',
          url: '/xmlrpc.php',
          dataType:'xml',
          data: '<methodCall><methodName>GetStatus</methodName></methodCall>',
          success:function(data) {
            var data1 = jQuery(data).find('value').text(); 
            jQuery('#edit-value').html(data1);
          }
        }); 
      }
    });

    jQuery('#attribute_add').click(function() {
      var hdn_ip = jQuery('#hidden_data').val();
      var type_value = jQuery('#edit-attribute-type').val();
      var operator_value = jQuery('#edit-operator').val();

      if ('-1' != type_value && '-1' != operator_value ) {
        var operator_value = jQuery('#edit-operator').val();
        var val_value = jQuery('#edit-value').val();
        var remove_button = "<span class = 'remove_class'>Remove</span>";
        var data = {type_value, operator_value, val_value, remove_button};
        data = JSON.stringify(data);
        if(hdn_ip === ""){
          jQuery('#hidden_data').val(data);
        } 
        else {  
          data = hdn_ip + '@&&@' + data;
          jQuery('#hidden_data').val(data);
        }
        var att_type = 'Status';
        var str = "<tr><td class = 'attr'>"+att_type+"<span class = 'hidden_attr_value' style = 'display:none;'>"+type_value+"</span></td><td class = 'ope'>"+operator_value+"<span class = 'hidden_ope_value' style = 'display:none;'>"+operator_value+"</span></td><td class = 'valu'>"+val_value+"<span class='hidden_val_value' style = 'display:none'>"+val_value+"</span></td><td class='remove_class'>Remove</td></tr>";
        jQuery('#data-store-table').append(str); 
      }
      else {
        alert("please select operator values to process");
      }
    });


    jQuery( document ).delegate( "span.remove_class", "click", function() {
      $(this).parent('td').parent('tr').remove();
      $('#hidden_data').val('');
      $('#data-store-table > tbody > tr').each(function(){
        var hdn_ip = $('#hidden_data').val();         
        var type_value = $(this).find('td span.hidden_attr_value').text();
        var operator_value = $(this).find('td span.hidden_ope_value').text();
        var val_value = $(this).find('td span.hidden_val_value').text();
        var remove_button = "<span class = 'remove_class'>Remove</span>";
        if(''!=type_value && ''!=operator_value && ''!=val_value) {
          var data = {type_value, operator_value, val_value, remove_button};
          data = JSON.stringify(data);
          if(hdn_ip === ""){
            $('#hidden_data').val(data);
          } 
          else {  
            data = hdn_ip + '@&&@' + data;
            $('#hidden_data').val(data);
          }
        }
        else {
          $('#hidden_data').val('');
        }
      });
    });


    jQuery( document ).delegate( "td.remove_class", "click", function() {
      jQuery(this).parent().remove();
      $('#hidden_data').val('');         
      $('#data-store-table > tbody > tr').each(function(){
        var hdn_ip = $('#hidden_data').val();
        var type_value = $(this).find('td span.hidden_attr_value').text();
        var operator_value = $(this).find('td span.hidden_ope_value').text();
        var val_value = $(this).find('td span.hidden_val_value').text();
        var remove_button = "<span class = 'remove_class'>Remove</span>";
        if(''!=type_value && ''!=operator_value && ''!=val_value) {
          var data = {type_value, operator_value, val_value, remove_button};
          data = JSON.stringify(data);
          console.log(data);
          if(hdn_ip === ""){
            $('#hidden_data').val(data);
          } 
          else {  
            data = hdn_ip + '@&&@' + data;
            $('#hidden_data').val(data);
          }
        }
      });
    });
    
});